WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/September 2023/3 Sep 2023

Newport v Pontypool

102 photographs Geraint Nicholas/Huw Evans Agency Sunday
Prints from £8 Order prints
030923 - Newport v Pontypool - Indigo Group Premiership -  Newport RFC Head Coach Tyron Morris before todays game 001
CDF_030923_Newport_v_Pontypool_001.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Newport RFC Head Coach Tyron Morris before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -  Newport RFC Backs Coach James Dixon before todays game 002
CDF_030923_Newport_v_Pontypool_002.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Newport RFC Backs Coach James Dixon before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -   Newport RFC Head Coach Tyron Morris before todays game 003
CDF_030923_Newport_v_Pontypool_003.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Newport RFC Head Coach Tyron Morris before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -   Newport RFC Head Coach Tyron Morris before todays game 004
CDF_030923_Newport_v_Pontypool_004.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Newport RFC Head Coach Tyron Morris before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -  Pontypool Head Coach Leighton Jones before todays game 005
CDF_030923_Newport_v_Pontypool_005.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Pontypool Head Coach Leighton Jones before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -   Newport RFC Head Coach Tyron Morris talks to match officials  before todays game 006
CDF_030923_Newport_v_Pontypool_006.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Newport RFC Head Coach Tyron Morris talks to match officials before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -  Pontypool RFC Head Coach Leighton Jones before todays game 007
CDF_030923_Newport_v_Pontypool_007.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Pontypool RFC Head Coach Leighton Jones before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -  Newport RFC huddle before todays game 008
CDF_030923_Newport_v_Pontypool_008.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Newport RFC huddle before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -   Pontypool RFC Head Coach Leighton Jones before todays game 009
CDF_030923_Newport_v_Pontypool_009.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Pontypool RFC Head Coach Leighton Jones before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -  Ewan Rosser Of Pontypool RFC scores teams first try 010
CDF_030923_Newport_v_Pontypool_010.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ewan Rosser Of Pontypool RFC scores teams first try
030923 - Newport v Pontypool - Indigo Group Premiership -  Ewan Rosser Of Pontypool RFC scores teams first try 011
CDF_030923_Newport_v_Pontypool_011.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ewan Rosser Of Pontypool RFC scores teams first try
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney Of Pontypool RFC scores teams second  try 012
CDF_030923_Newport_v_Pontypool_012.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool RFC scores teams second try
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney Of Pontypool RFC scores teams second  try 013
CDF_030923_Newport_v_Pontypool_013.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool RFC scores teams second try
030923 - Newport v Pontypool - Indigo Group Premiership -  Dafydd Buckland of  Newport RFC 014
CDF_030923_Newport_v_Pontypool_016.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Dafydd Buckland of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Matty Bancroft Of Pontypool RFC take high ball 015
CDF_030923_Newport_v_Pontypool_018.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Matty Bancroft Of Pontypool RFC take high ball
030923 - Newport v Pontypool - Indigo Group Premiership -  Elliot Frewen  of Newport RFC 016
CDF_030923_Newport_v_Pontypool_019.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Elliot Frewen of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Ashley Sweet Of Pontypool RFC 017
CDF_030923_Newport_v_Pontypool_020.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ashley Sweet Of Pontypool RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Ashley Sweet Of Pontypool RFC 018
CDF_030923_Newport_v_Pontypool_021.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ashley Sweet Of Pontypool RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool RFC 019
CDF_030923_Newport_v_Pontypool_022.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Matthew Jarvis Of Pontypool RFC 020
CDF_030923_Newport_v_Pontypool_023.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Matthew Jarvis Of Pontypool RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney Of Pontypool RFC 021
CDF_030923_Newport_v_Pontypool_024.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney Of Pontypool RFC and Carwyn Penny of Newport RFC 022
CDF_030923_Newport_v_Pontypool_025.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool RFC and Carwyn Penny of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney  Of Pontypool RFC 023
CDF_030923_Newport_v_Pontypool_026.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney Of Pontypool RFC 024
CDF_030923_Newport_v_Pontypool_027.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Ashley Sweet Of Pontypool RFC 025
CDF_030923_Newport_v_Pontypool_028.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ashley Sweet Of Pontypool RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Ashley Sweet Of Pontypool RFC 026
CDF_030923_Newport_v_Pontypool_029.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ashley Sweet Of Pontypool RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Elliot Frewen Newport RFC 027
CDF_030923_Newport_v_Pontypool_030.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Elliot Frewen Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Lance Randall Of Pontypool wins line out 028
CDF_030923_Newport_v_Pontypool_031.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Lance Randall Of Pontypool wins line out
030923 - Newport v Pontypool - Indigo Group Premiership -  Josh Reid of Newport RFC tackles Joel Mahoney Of Pontypool Rfc 029
CDF_030923_Newport_v_Pontypool_032.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Josh Reid of Newport RFC tackles Joel Mahoney Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Josh Reid of  Newport RFC tackles Joel Mahoney Of Pontypool Rfc 030
CDF_030923_Newport_v_Pontypool_033.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Josh Reid of Newport RFC tackles Joel Mahoney Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Ioan Davies of Newport RFC 031
CDF_030923_Newport_v_Pontypool_034.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ioan Davies of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  032
CDF_030923_Newport_v_Pontypool_035.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership -
030923 - Newport v Pontypool - Indigo Group Premiership -  Deon Smith Of Pontypool Rfc 033
CDF_030923_Newport_v_Pontypool_036.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Deon Smith Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Deon Smith Of Pontypool Rfc 034
CDF_030923_Newport_v_Pontypool_037.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Deon Smith Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -   Deon Smith Of Pontypool Rfc 035
CDF_030923_Newport_v_Pontypool_038.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Deon Smith Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Ieuan Jones Of Pontypool Rfc 036
CDF_030923_Newport_v_Pontypool_039.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ieuan Jones Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Ieuan Jones Of Pontypool Rfc 037
CDF_030923_Newport_v_Pontypool_040.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ieuan Jones Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Pontypool on the attack 038
CDF_030923_Newport_v_Pontypool_041.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Pontypool on the attack
030923 - Newport v Pontypool - Indigo Group Premiership -  Elliot Ferriman of Newport RFC 039
CDF_030923_Newport_v_Pontypool_042.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Elliot Ferriman of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Matthew Jarvis Of Pontypool Rfc 040
CDF_030923_Newport_v_Pontypool_043.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Matthew Jarvis Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Pontypool on the attack 041
CDF_030923_Newport_v_Pontypool_044.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Pontypool on the attack
030923 - Newport v Pontypool - Indigo Group Premiership -  Pontypool Rfc on the attack 042
CDF_030923_Newport_v_Pontypool_045.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Pontypool Rfc on the attack
030923 - Newport v Pontypool - Indigo Group Premiership -  Matthew Jarvis Of Pontypool Rfc 043
CDF_030923_Newport_v_Pontypool_046.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Matthew Jarvis Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Matthew Jarvis Of Pontypool Rfc 044
CDF_030923_Newport_v_Pontypool_047.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Matthew Jarvis Of Pontypool Rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  both teams scrum down 045
CDF_030923_Newport_v_Pontypool_048.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - both teams scrum down
030923 - Newport v Pontypool - Indigo Group Premiership -  Newport rfc win a line out 046
CDF_030923_Newport_v_Pontypool_049.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Newport rfc win a line out
030923 - Newport v Pontypool - Indigo Group Premiership -  Matt O’Brien of Newport RFC 047
CDF_030923_Newport_v_Pontypool_050.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Matt O’Brien of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Henry Palmer of Newport RFC 048
CDF_030923_Newport_v_Pontypool_051.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Henry Palmer of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 049
CDF_030923_Newport_v_Pontypool_052.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 050
CDF_030923_Newport_v_Pontypool_053.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Pontypool Rfc on attack 051
CDF_030923_Newport_v_Pontypool_054.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Pontypool Rfc on attack
030923 - Newport v Pontypool - Indigo Group Premiership -  Deon Smith Of Pontypool rfc 052
CDF_030923_Newport_v_Pontypool_055.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Deon Smith Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 053
CDF_030923_Newport_v_Pontypool_056.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 054
CDF_030923_Newport_v_Pontypool_057.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 055
CDF_030923_Newport_v_Pontypool_058.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  056
CDF_030923_Newport_v_Pontypool_059.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership -
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 057
CDF_030923_Newport_v_Pontypool_060.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 058
CDF_030923_Newport_v_Pontypool_061.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 059
CDF_030923_Newport_v_Pontypool_062.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 060
CDF_030923_Newport_v_Pontypool_063.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 061
CDF_030923_Newport_v_Pontypool_064.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Deon Smith Of Pontypool rfc 062
CDF_030923_Newport_v_Pontypool_065.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Deon Smith Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Deon Smith Of Pontypool rfc 063
CDF_030923_Newport_v_Pontypool_066.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Deon Smith Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Henry Palmer of Newport RFC 064
CDF_030923_Newport_v_Pontypool_067.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Henry Palmer of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Carwyn Penny of Newport RFC 065
CDF_030923_Newport_v_Pontypool_068.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Carwyn Penny of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Carwyn Penny  of Newport RFC 066
CDF_030923_Newport_v_Pontypool_069.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Carwyn Penny of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney Of Pontypool rfc 067
CDF_030923_Newport_v_Pontypool_070.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney Of Pontypool rfc 068
CDF_030923_Newport_v_Pontypool_071.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  069
CDF_030923_Newport_v_Pontypool_072.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership -
030923 - Newport v Pontypool - Indigo Group Premiership -  Ashley Sweet Of Pontypool rfc 070
CDF_030923_Newport_v_Pontypool_073.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ashley Sweet Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Lance Randall Of Pontypool rfc 071
CDF_030923_Newport_v_Pontypool_074.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Lance Randall Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Nathan Evans of Newport RFC 072
CDF_030923_Newport_v_Pontypool_075.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Nathan Evans of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Henry Palmer of Newport RFC 073
CDF_030923_Newport_v_Pontypool_076.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Henry Palmer of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Ieuan Jones Of Pontypool rfc 074
CDF_030923_Newport_v_Pontypool_077.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ieuan Jones Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  075
CDF_030923_Newport_v_Pontypool_078.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership -
030923 - Newport v Pontypool - Indigo Group Premiership -  Matt O’Brien of Newport RFC 076
CDF_030923_Newport_v_Pontypool_079.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Matt O’Brien of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Matt O’Brien of Newport RFC 077
CDF_030923_Newport_v_Pontypool_080.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Matt O’Brien of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  Rhys Jenkins of Newport RFC gets a yellow card 078
CDF_030923_Newport_v_Pontypool_081.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Rhys Jenkins of Newport RFC gets a yellow card
030923 - Newport v Pontypool - Indigo Group Premiership -  Rhys Jenkins of Newport RFC gets a yellow card 079
CDF_030923_Newport_v_Pontypool_082.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Rhys Jenkins of Newport RFC gets a yellow card
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 080
CDF_030923_Newport_v_Pontypool_083.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Ollie Drake Of Pontypool rfc 081
CDF_030923_Newport_v_Pontypool_084.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ollie Drake Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 082
CDF_030923_Newport_v_Pontypool_085.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney Of Pontypool rfc 083
CDF_030923_Newport_v_Pontypool_086.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Matt O’Brien of Newport RFC and Joel Mahoney Of Pontypool rfc 084
CDF_030923_Newport_v_Pontypool_087.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Matt O’Brien of Newport RFC and Joel Mahoney Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Joel Mahoney Of Pontypool rfc 085
CDF_030923_Newport_v_Pontypool_088.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joel Mahoney Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Morgan Lloyd Of Pontypool rfc 086
CDF_030923_Newport_v_Pontypool_089.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Morgan Lloyd Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Ben Roach  of Newport RFC 087
CDF_030923_Newport_v_Pontypool_090.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ben Roach of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  088
CDF_030923_Newport_v_Pontypool_091.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership -
030923 - Newport v Pontypool - Indigo Group Premiership -  089
CDF_030923_Newport_v_Pontypool_092.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership -
030923 - Newport v Pontypool - Indigo Group Premiership -  Joe Westwood  Newport RFC scores a try 090
CDF_030923_Newport_v_Pontypool_093.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joe Westwood Newport RFC scores a try
030923 - Newport v Pontypool - Indigo Group Premiership -  Joe Westwood  of Newport RFC scores a try 091
CDF_030923_Newport_v_Pontypool_094.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joe Westwood of Newport RFC scores a try
030923 - Newport v Pontypool - Indigo Group Premiership -  092
CDF_030923_Newport_v_Pontypool_095.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership -
030923 - Newport v Pontypool - Indigo Group Premiership -  Joe Westwood  of Newport RFC 093
CDF_030923_Newport_v_Pontypool_096.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Joe Westwood of Newport RFC
030923 - Newport v Pontypool - Indigo Group Premiership -  094
CDF_030923_Newport_v_Pontypool_097.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership -
030923 - Newport v Pontypool - Indigo Group Premiership -  Pontypool Head Coach Leighton Jones before todays game 095
CDF_030923_Newport_v_Pontypool_098.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Pontypool Head Coach Leighton Jones before todays game
030923 - Newport v Pontypool - Indigo Group Premiership -  Newport Rfc players pay respects to former player David Watkins 096
CDF_030923_Newport_v_Pontypool_099.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Newport Rfc players pay respects to former player David Watkins
030923 - Newport v Pontypool - Indigo Group Premiership -  Pontypool RFC  players pay respects to former  Newport player David Watkins 097
CDF_030923_Newport_v_Pontypool_100.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Pontypool RFC players pay respects to former Newport player David Watkins
030923 - Newport v Pontypool - Indigo Group Premiership -  Ewan Rosser Of Pontypool rfc 098
CDF_030923_Newport_v_Pontypool_101.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ewan Rosser Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Ewan Rosser Of Pontypool rfc 099
CDF_030923_Newport_v_Pontypool_102.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ewan Rosser Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Ewan Rosser Of Pontypool rfc 100
CDF_030923_Newport_v_Pontypool_103.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ewan Rosser Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Ewan Rosser Of Pontypool rfc 101
CDF_030923_Newport_v_Pontypool_104.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ewan Rosser Of Pontypool rfc
030923 - Newport v Pontypool - Indigo Group Premiership -  Ewan Rosser Of Pontypool rfc 102
CDF_030923_Newport_v_Pontypool_105.JPG · Geraint Nicholas/Huw Evans Agency030923 - Newport v Pontypool - Indigo Group Premiership - Ewan Rosser Of Pontypool rfc

More from around this date

Sun 3 SepWales Welcoming Ceremony Sun 3 SepWales Rugby Squad Depart for RWC Sun 3 SepCardiff 10K Mon 4 SepWales Rugby World Cup Media Day Mon 4 SepWales Football Training Sat 2 SepWales Women Team Building Sat 2 SepCarmarthen Quins v Llandovery Sat 2 SepIpswich Town 3-2 Cardiff City
Newport v Pontypool · 3 Sep 2023
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured